# Generated by Django 5.0.7 on 2024-10-13 14:26

import django.db.models.constraints
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('hunts', '0037_remove_puzzle_puzzle_episode_start_date_order_unique_and_more'),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name='puzzle',
            name='puzzle_episode_start_date_order_unique',
        ),
        migrations.AddConstraint(
            model_name='puzzle',
            constraint=models.UniqueConstraint(deferrable=django.db.models.constraints.Deferrable['DEFERRED'], fields=('episode', 'start_date', 'order'), name='puzzle_episode_start_date_order_unique', nulls_distinct=False),
        ),
    ]
